<?php

$xhe_host = "127.0.0.1:7010";

// init
require("../../Templates/init.php");

// название файла с данными
$receipt_name = "kvitancia.jpg";
// ////
// режим отладки
$dbg = true;
$debug_file = 'log/log_' . date("d_m_y") . '.txt';

// //////////////////////// дополнительные модули ///////////////
// функции 
require_once("tools/functions.php");

// /////////////////////// скрипт ///////////////////////////////////////////
debug_mess("запустили робота");

// получим путь к папке с роботом
$robot_folder = $debug->get_cur_script_folder();
debug_mess("Путь к папке с роботом: " . $robot_folder);

// получим путь к папке data
$data_path = $robot_folder . 'data\\';
debug_mess("Путь к папке с данными: " . $data_path);

// получим путь к файлу с данными (квитанции)
$receipt_path = $data_path . $receipt_name;
debug_mess("Полный путь к платежке: " . $receipt_path);

// проверка на наличие файла с данными
if (!$file_os->is_exist($receipt_path))
{
	debug_mess("ОШИБКА: Нет файла с данными!");
	$app->quit();
}

// масштабируем картинку
$scale = 2;
$image->resize($receipt_path, $receipt_path.".resized.jpg", $scale);
// удаляем линии из картинки
$image->remove_lines($receipt_path.".resized.jpg", $receipt_path.".without_lines.jpg");

// распознаем картинку
$path = $receipt_path . ".without_lines.jpg";
$str_receipt = "";
$str_receipt = $tesseractOCR->recognize($path, "rus+eng", 5);
echo $str_receipt;

// получаем ИНФО
$str_receipt = get_string($str_receipt, "porfjilkom.ru", "на");
echo "<br>ИНФО: " . $str_receipt;

// преобразуем строку в массив
$arr_receipt = [];
$arr_receipt = explode("\n", $str_receipt);
print_r($arr_receipt);

// получаем ФИО
$fio_and_adress = "";
$fio_and_adress = explode(" ", $arr_receipt[0]);
$fio = "";
$fio = $fio_and_adress[0]." ".$fio_and_adress[1]." ".$fio_and_adress[2];
echo "<br>ФИО: " . $fio;

// получаем сумму платежа
$summa = $arr_receipt[1];
echo "<br>СУММА: " . $summa;

// получаем номер лицевого счета
$pers_acc = $arr_receipt[6];
echo "<br>ЛИЦЕВОЙ СЧЕТ: " . $pers_acc;

// подключаемся в  БД
echo("\nСоединимся с БД :");
$bd_type = "mssql";
$connection_str = "Data Source=DESKTOP-E9PK9JV\SQLEXPRESS;database=TestrBot;integrated Security=SSPI;";
echo $bd->connect("local", $connection_str, $bd_type);

// создаем таблицу
echo("\nСоздать таблицу :");
echo $bd->query("local","CREATE TABLE tutorials_tb( ".
            "tutorial_id INT, ".
            "tutorial_fio VARCHAR(100), ".
			"tutorial_summa VARCHAR(40), ".
            "tutorial_pers_acc VARCHAR(40) )");

// вставляем запись
$query = "INSERT INTO tutorials_tb ".
               "(tutorial_id,tutorial_fio,tutorial_summa,tutorial_pers_acc) "."VALUES ".
               "(1, '$fio', '$summa', '$pers_acc')";
echo("\nВставить запись :");
echo($bd->query("local", $query)); 

// отключаемся от БД
echo("\nОтсоединимся от БД :");
echo $bd->disconnect("local");

debug_mess("робот закончил работу");

// Quit */
$app->quit();
?>