<?php

// выдать сообщение в панель отладки и в debug file
function debug_mess($mess)
{
   global $dbg, $textfile, $debug_file;
   // отладочные сообщения
   if ($dbg)
   {
      echo date("\[ d.m.y H:i:s\] ") . $mess . "<br>";
   }
	if (isset($debug_file))
	{
		// создаем сообщение для записи в файл отладки
		$str = date("\[ d.m.y H:i:s\] ") . $mess."\r\n";
		// записываем сообщение
      $textfile->add_string_to_file($debug_file, $str);
	}
}



// удаление повторяющихся слов
function delete_duplicates_words($text)
{
    $text = implode(array_reverse(preg_split('//u', $text)));
    $text = preg_replace('/(\b[\pL0-9]++\b)(?=.*?\1)/siu', '', $text);
    $text = implode(array_reverse(preg_split('//u', $text)));
    return $text;
}



// чистим всю информацию по браузеру
function сlear_browser_info()
{
   global $browser;
   $browser->close_all_tabs();
    // navigate to google  
   $browser->navigate("about:blank");
   sleep(1);
   $browser->clear_cookies("");
   sleep(1);
   $browser->clear_cache();
   sleep(1); 

   return true;
}



// получить строку по префиксам
function get_string($str1, $pr1, $pr2, &$ind_st = 0)
{
	//получаем стартовый индекс
	$ind1 = strpos($str1, $pr1, $ind_st);
	if($ind1 === false)
	{
		return "";
	}
	$ind1_1 = $ind1 + strlen($pr1);
	//получаем финишный индекс
	$ind2 = strpos($str1, $pr2, $ind1_1);
	if ($ind2 === false)
	{
		return "";
	}
	// получим результат
	$sres = substr($str1, $ind1 + strlen($pr1), $ind2 - $ind1_1);
	return trim($sres); 
}



// проверим встречается ли подстрока в строке
function is_exists_str($str,$substr)
{
	$result = strpos($str, $substr);

	if ($result === FALSE) 
		return false;
	else
		return true;   
}

?>